错误 CS1617 Invalid option ‘7.3’ for /langversion; must be ISO-1, ISO-2, Default or an integer in range 1 to 6()

一年前的程序版本拉下来需要改动下,突然生成程序报这个错。

解决方法,网上说修改项目属性- 生成 – 高级,语言版本选择 default。我这个项目就不能修改,后来查了下

https://stackoverflow.com/questions/62858965/invalid-option-7-3-for-langversion-must-be-iso-1-iso-2-default-or-an-integ

升级Microsoft.Net.Compilers 或者 Microsoft.CodeDom.Providers.DotNetCompilerPlatform 这两个包在重新生成就可以。

————————

一年前的程序版本拉下来需要改动下,突然生成程序报这个错。

解决方法,网上说修改项目属性- 生成 – 高级,语言版本选择 default。我这个项目就不能修改,后来查了下

https://stackoverflow.com/questions/62858965/invalid-option-7-3-for-langversion-must-be-iso-1-iso-2-default-or-an-integ

升级Microsoft.Net.Compilers 或者 Microsoft.CodeDom.Providers.DotNetCompilerPlatform 这两个包在重新生成就可以。